def collatz(stevilo):
    stkorakov = 0
    while stevilo != 1:
        stkorakov += 1
        if stevilo % 2 == 0:
            stevilo = stevilo/2
        else:
            stevilo = 3*stevilo + 1
    return stkorakov

print(collatz(2318))